org.vishia.commander

## Class FcmdLeftMidRightPanel.FcmdFavorThemeCard

- java.lang.Object
- - org.vishia.gral.widget.GralSelectList
  - - org.vishia.commander.FcmdLeftMidRightPanel.FcmdFavorThemeCard

- All Implemented Interfaces:
    Removeable
  Enclosing class:
    FcmdLeftMidRightPanel

      static class FcmdLeftMidRightPanel.FcmdFavorThemeCard
      extends GralSelectList

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionFavorThemeLineSelected` Action is called any time if a line was focused in the favor theme table.
    `(package private) java.util.Map<java.lang.String,FcmdFavorPathSelector.FavorFolder>` | `indexFavorFolders` Index of all entries in the visible list.
    `private FcmdLeftMidRightPanel` | `mainPanel`

    - ### Fields inherited from class org.vishia.gral.widget.GralSelectList

      `actions, keyLeft, keyRight, version, wdgdTable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdFavorThemeCard(Fcmd main, java.lang.String name, FcmdLeftMidRightPanel panel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionLeft(java.lang.Object userData, GralTableLine_ifc line)` Action if a table line is selected and ctrl-left is pressed or the release button is pressed.
    `protected boolean` | `actionOk(java.lang.Object userData, GralTableLine_ifc line)` Action if a table line is selected and entered.
    `protected void` | `actionRight(java.lang.Object userData, GralTableLine_ifc line)` Action if a table line is selected and ctrl-right is pressed or the release button is pressed.
    `protected boolean` | `actionUserKey(int key, java.lang.Object userData, GralTableLine_ifc line)` Handle the keys for the JavaCommander-Selection of favorites sh-F1 .. shF3: activates fileSelector for left, middle and right panel.
    `(package private) void` | `addFavorFolder(FcmdFavorPathSelector.FavorFolder favorTabInfo)` Adds a line to this table.
    `(package private) void` | `clear()`
    `void` | `createImplWidget_Gthread()`
    `boolean` | `setFocus()` Sets the focus of the associated table widget.

    - ### Methods inherited from class org.vishia.gral.widget.GralSelectList

      `remove, set, setLeftRightKeys, XXXsetToPanel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mainPanel

          private final FcmdLeftMidRightPanel mainPanel

    - #### indexFavorFolders

          java.util.Map<java.lang.String,FcmdFavorPathSelector.FavorFolder> indexFavorFolders

      Index of all entries in the visible list.

    - #### actionFavorThemeLineSelected

          GralUserAction actionFavorThemeLineSelected

      Action is called any time if a line was focused in the favor theme table.

  - ### Constructor Detail

    - #### FcmdFavorThemeCard

          public FcmdFavorThemeCard(Fcmd main,
                                    java.lang.String name,
                                    FcmdLeftMidRightPanel panel)

  - ### Method Detail

    - #### createImplWidget_Gthread

          public void createImplWidget_Gthread()

      Overrides:
        `createImplWidget_Gthread` in class `GralSelectList`

    - #### addFavorFolder

          void addFavorFolder(FcmdFavorPathSelector.FavorFolder favorTabInfo)

      Adds a line to this table.
      Parameters:
        `ix` - Show which index is used for a local table, 0..2 for left, mid, right, than show the label in the left cell (column)
        `favorTabInfo` - The favorite info

    - #### setFocus

          public boolean setFocus()

      Description copied from class: `GralSelectList`
      Sets the focus of the associated table widget.
      Overrides:
        `setFocus` in class `GralSelectList`
      Returns:
        true if focused.

    - #### clear

          void clear()

    - #### actionOk

          protected boolean actionOk(java.lang.Object userData,
                                     GralTableLine_ifc line)

      Description copied from class: `GralSelectList`
      Action if a table line is selected and entered. Its either a double click with the mouse or click of OK (Enter) button.
      Specified by:
        `actionOk` in class `GralSelectList`
      Parameters:
        `userData` - The user data stored in the line of table.

    - #### actionLeft

          protected void actionLeft(java.lang.Object userData,
                                    GralTableLine_ifc line)

      Description copied from class: `GralSelectList`
      Action if a table line is selected and ctrl-left is pressed or the release button is pressed.
      Specified by:
        `actionLeft` in class `GralSelectList`
      Parameters:
        `userData` - The user data stored in the line of table.

    - #### actionRight

          protected void actionRight(java.lang.Object userData,
                                     GralTableLine_ifc line)

      Description copied from class: `GralSelectList`
      Action if a table line is selected and ctrl-right is pressed or the release button is pressed.
      Specified by:
        `actionRight` in class `GralSelectList`
      Parameters:
        `userData` - The user data stored in the line of table.

    - #### actionUserKey

          protected boolean actionUserKey(int key,
                                          java.lang.Object userData,
                                          GralTableLine_ifc line)

      Handle the keys for the JavaCommander-Selection of favorites
      - sh-F1 .. shF3: activates fileSelector for left, middle and right panel.
      Specified by:
        `actionUserKey` in class `GralSelectList`
      Parameters:
        `key` - code or mouse code, one of constans from `KeyCode`.
        `userData` - The user data stored in the line of table.
        `line` - The table line.
      Returns:
        true if is was relevant for the key.
      See Also:
        `GralSelectList.actionUserKey(int, java.lang.Object, org.vishia.gral.ifc.GralTableLine_ifc)`